package nc.impl.gl.diff;

import java.lang.Character.UnicodeBlock;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class ChineseAndEnglish {

   public static boolean isChinese(char c) {
      UnicodeBlock ub = UnicodeBlock.of(c);
      return ub == UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS || ub == UnicodeBlock.CJK_COMPATIBILITY_IDEOGRAPHS || ub == UnicodeBlock.CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A || ub == UnicodeBlock.GENERAL_PUNCTUATION || ub == UnicodeBlock.CJK_SYMBOLS_AND_PUNCTUATION || ub == UnicodeBlock.HALFWIDTH_AND_FULLWIDTH_FORMS;
   }

   public static boolean isEnglish(String charaString) {
      return charaString.matches("^[a-zA-Z]*");
   }

   public static boolean isChinese(String str) {
      String regEx = "[\\u4e00-\\u9fa5]+";
      Pattern p = Pattern.compile(regEx);
      Matcher m = p.matcher(str);
      return m.find();
   }

   public static void main(String[] args) {
      System.out.println(isChinese('员'));
      System.out.println(isChinese('s'));
      System.out.println(isEnglish("程序员之家"));
      System.out.println(isEnglish("robert"));
      System.out.println(isChinese("程序员论坛"));
      System.out.println(isChinese("支付应付款项、预付账款的支出"));
   }
}
